/**
 * サンプルプログラム
 * ページレイアウトでＰＤＦを生成するサンプルです。
 *
 * @author Copyright 2001-2005 Brainsellers.com Corp. All Rights Reserved.
 * @version 1.0.0
 * @since 1.0.0
 */
import java.util.Hashtable;

import com.brainsellers.xml.JaxpXML;
import com.brainsellers.xml.common.XMLSuper;

public class Sample1 {

	public static void main(String args[]){
		new Sample1(args);
		System.exit(0);
	}

	public Sample1(String args[]){
		try {
			//１） 入出力共にファイル名で指定する
			XMLSuper xml = new JaxpXML("c:/work/ThaiPdfSample/Sample1.xml","c:/work/ThaiPdfSample/ThaiPdfSample.pdf");

			//２）レイアウト情報（XML）の解析を行う
			xml.parse();

			//３）セキュリティ等の文書情報はparse後に一度だけ設定をして下さい。
			// PDF表示時に全体表示で表示する
			xml.setAutoResize();

			//４）ページ毎の設定は毎ページ設定する
			//<Layout>タグの幅と高さを頁サイズとして使用する
			xml.setPageSize();

			// レイアウト情報（XML）に渡すデータのセットを行う
			// ("レイアウト情報（XML）のName属性で指定された名前","データ内容")をセットする
			Hashtable<String, String> ht = new Hashtable<String, String>();

			//テストデータを設定
			ht.put("text", "ภาษาไทย ");//タイ語

			//５）データのセットおよび座標計算を行った後、PDFを生成する
			xml.toPDF(ht);

			//６）1頁毎に使用したオブジェクトを解放する
		    xml.flush();

			//７）PDFの出力を行う
			xml.close();

		} catch(com.brainsellers.pdf.PDFRuntimeException e){
			e.printStackTrace();
		} catch(java.io.FileNotFoundException e) {
			e.printStackTrace();
		} catch(java.io.IOException e) {
			e.printStackTrace();
		} catch(java.lang.Exception e) {
			e.printStackTrace();
		}
	}
}
